THREATS
Update Threat
Update analyst-controlled threat fields
PATCH
/
v1
/
threats
/
{threat_id}
Update threat
curl --request PATCH \
--url https://api.intrace.ai/v1/threats/{threat_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"threat_rationale": "<string>",
"threat_type": "<string>",
"location": "<string>",
"location_country": "<string>",
"pinned": true,
"attribution_types": [
"<string>"
],
"sources": [
"<string>"
]
}
'import requests
url = "https://api.intrace.ai/v1/threats/{threat_id}"
payload = {
"title": "<string>",
"description": "<string>",
"threat_rationale": "<string>",
"threat_type": "<string>",
"location": "<string>",
"location_country": "<string>",
"pinned": True,
"attribution_types": ["<string>"],
"sources": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
threat_rationale: '<string>',
threat_type: '<string>',
location: '<string>',
location_country: '<string>',
pinned: true,
attribution_types: ['<string>'],
sources: ['<string>']
})
};
fetch('https://api.intrace.ai/v1/threats/{threat_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"pinned": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"attribution_types": [
"<string>"
],
"sources": [
"<string>"
],
"affected_assets": [
{
"asset_id": "<string>",
"asset_name": "<string>",
"asset_type": "<string>",
"distance_km": 123
}
],
"version_count": 123,
"development_count": 123,
"description": "<string>",
"threat_rationale": "<string>",
"threat_type": "<string>",
"location": "<string>",
"location_country": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
},
"observed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"likelihood": "<string>",
"impact_severity": "<string>",
"risk_score": 123,
"risk_level": "<string>",
"likelihood_rationale": "<string>",
"impact_rationale": "<string>",
"dismissal_reason": "<string>",
"location_precision_level": "<string>",
"location_uncertainty_km": 123,
"last_version_at": "2023-11-07T05:31:56Z",
"latest_development_title": "<string>"
}Updates a threat in place.
Common fields
| Field | Type | Description |
|---|---|---|
title | string | Override title |
description | string | Analyst-edited description |
severity | string | New severity |
status | string | New status |
dismissal_reason | string | Required when setting status=dismissed |
pinned | boolean | Pin or unpin the threat |
sources | string[] | Replace source labels |
attribution_types | string[] | Replace attribution labels |
Dismissal reasons
false_positiveduplicateout_of_scopealready_resolved
Authorizations
Path Parameters
Body
application/json
Available options:
critical, high, medium, low, negligible Available options:
active, monitoring, contained, resolved, dismissed, ended Available options:
false_positive, duplicate, out_of_scope, already_resolved Show child attributes
Show child attributes
Response
Updated threat.
Available options:
critical, high, medium, low, negligible Available options:
active, monitoring, contained, resolved, dismissed, ended Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update threat
